﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ScheduleView;

namespace ScheduleViewTimeRulerItemsUpdate
{
    public class ViewModel : ViewModelBase
    {
        private bool _appointmentsSourceUpdated = false;

        public bool AppointmentsSourceUpdated
        {
            get { return this._appointmentsSourceUpdated; }
            set
            {
                if (this._appointmentsSourceUpdated != value)
                {
                    this._appointmentsSourceUpdated = value;
                    this.OnPropertyChanged("AppointmentsSourceUpdated");
                }
            }
        }

        public ObservableCollection<Appointment> Appointments
        {
            get;
            set;
        } 

        public ViewModel()
        {
            this.Appointments = new ObservableCollection<Appointment>();

     
        }
    }
}
